io.undertow.protocols.ajp

## Class AbstractAjpClientStreamSourceChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel<AjpClientChannel,AbstractAjpClientStreamSourceChannel,AbstractAjpClientStreamSinkChannel>
  - - io.undertow.protocols.ajp.AbstractAjpClientStreamSourceChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, InterruptibleChannel, ReadableByteChannel, ScatteringByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSourceChannel, org.xnio.channels.SuspendableReadChannel

Direct Known Subclasses:
  AjpClientResponseStreamSourceChannel

    public class AbstractAjpClientStreamSourceChannel
    extends AbstractFramedStreamSourceChannel<AjpClientChannel,AbstractAjpClientStreamSourceChannel,AbstractAjpClientStreamSinkChannel>

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAjpClientStreamSourceChannel(AjpClientChannel framedChannel, PooledByteBuffer data, long frameDataRemaining)`

### Method Summary

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSourceChannel

`addCloseTask, awaitReadable, awaitReadable, channelForciblyClosed, close, complete, dataReady, getCloseSetter, getFramedChannel, getIoThread, getMaxStreamSize, getOption, getReadFrameCount, getReadSetter, getReadThread, getWorker, handleHeaderData, isComplete, isLastFrame, isOpen, isReadResumed, lastFrame, markStreamBroken, processFrameData, read, read, read, resumeReads, setMaxStreamSize, setOption, shutdownReads, supportsOption, suspendReads, transferTo, transferTo, updateFrameDataRemaining, wakeupReads`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAjpClientStreamSourceChannel

    public AbstractAjpClientStreamSourceChannel(AjpClientChannel framedChannel,
                                                PooledByteBuffer data,
                                                long frameDataRemaining)